--- xfsprogs-4.15.0/include/buildmacros
+++ xfsprogs-4.15.0/include/buildmacros
@@ -70,18 +70,9 @@
 # /usr/lib.
 ifeq ($(ENABLE_SHARED),yes)
 INSTALL_LTLIB_DEV = \
-	cd $(TOPDIR)/$(LIBNAME)/.libs; \
-	../$(INSTALL) -m 755 -d $(PKG_LIB_DIR); \
-	../$(INSTALL) -m 644 -T old_lib $(LIBNAME).lai $(PKG_LIB_DIR); \
-	../$(INSTALL) -m 644 $(LIBNAME).lai $(PKG_LIB_DIR)/$(LIBNAME).la ; \
-	../$(INSTALL) -m 755 -d $(PKG_ROOT_LIB_DIR); \
-	../$(INSTALL) -T so_base $(LIBNAME).lai $(PKG_ROOT_LIB_DIR); \
-	if [ "x$(shell readlink -f $(PKG_LIB_DIR))" != \
-	     "x$(shell readlink -f $(PKG_ROOT_LIB_DIR))" ]; then \
-		../$(INSTALL) -S $(PKG_LIB_DIR)/$(LIBNAME).a $(PKG_ROOT_LIB_DIR)/$(LIBNAME).a; \
-		../$(INSTALL) -S $(PKG_LIB_DIR)/$(LIBNAME).la $(PKG_ROOT_LIB_DIR)/$(LIBNAME).la; \
-		../$(INSTALL) -S $(PKG_ROOT_LIB_DIR)/$(LIBNAME).so $(PKG_LIB_DIR)/$(LIBNAME).so; \
-	fi
+	set -e; cd $(TOPDIR)/$(LIBNAME); \
+	$(INSTALL) -m 755 -d $(PKG_LIB_DIR); \
+	env -uDIST_ROOT $(LTINSTALL) $(TOPDIR)/$(LIBNAME)/$(LIBNAME).la $(DIST_ROOT)$(PKG_LIB_DIR)/$(LIBNAME).la
 else
 INSTALL_LTLIB_DEV = $(INSTALL_LTLIB_STATIC)
 endif
--- xfsprogs-4.15.0/libfrog/Makefile
+++ xfsprogs-4.15.0/libfrog/Makefile
@@ -5,6 +5,8 @@
 TOPDIR = ..
 include $(TOPDIR)/include/builddefs
 
+LTLIBS = $(LIBXFS) $(LIBBLKID)
+
 LTLIBRARY = libfrog.la
 LT_CURRENT = 0
 LT_REVISION = 0
@@ -34,6 +36,9 @@
 
 include $(BUILDRULES)
 
-install install-dev: default
+install: default
+
+install-dev: default
+	$(INSTALL_LTLIB_DEV)
 
 -include .ltdep
--- xfsprogs-4.15.0/libhandle/Makefile
+++ xfsprogs-4.15.0/libhandle/Makefile
@@ -24,7 +24,6 @@
 include $(BUILDRULES)
 
 install: default
-	$(INSTALL_LTLIB)
 
 install-dev: default
 	$(INSTALL_LTLIB_DEV)
--- xfsprogs-4.15.0/libxcmd/Makefile
+++ xfsprogs-4.15.0/libxcmd/Makefile
@@ -12,6 +12,8 @@
 
 CFILES = command.c input.c help.c quit.c
 
+LTLIBS = $(LIBXFS) $(LIBBLKID)
+
 ifeq ($(ENABLE_READLINE),yes)
 LCFLAGS += -DENABLE_READLINE
 LTLIBS += $(LIBREADLINE) $(LIBTERMCAP)
@@ -26,6 +28,9 @@
 
 include $(BUILDRULES)
 
-install install-dev: default
+install: default
+
+install-dev: default
+	$(INSTALL_LTLIB_DEV)
 
 -include .ltdep
--- xfsprogs-4.15.0/libxfs/Makefile
+++ xfsprogs-4.15.0/libxfs/Makefile
@@ -151,6 +151,7 @@
 
 install-dev: install
 	$(INSTALL) -m 644 $(PKGHFILES) $(PKG_INC_DIR)
+	$(INSTALL_LTLIB_DEV)
 
 # We need to install the headers before building the dependencies.  If we
 # include the .ltdep file, the makefile decides that it needs to build the
--- xfsprogs-4.15.0/libxlog/Makefile
+++ xfsprogs-4.15.0/libxlog/Makefile
@@ -19,6 +19,9 @@
 
 include $(BUILDRULES)
 
-install install-dev: default
+install: default
+
+install-dev: default
+	$(INSTALL_LTLIB_DEV)
 
 -include .ltdep
--- xfsprogs-4.15.0/Makefile
+++ xfsprogs-4.15.0/Makefile
@@ -92,6 +92,10 @@
 mkfs: libxcmd
 spaceman: libxcmd
 scrub: libhandle libxcmd
+libfrog: libxfs
+libfrog-install-dev: libxfs-install-dev
+libxlog: libxfs
+libxlog-install-dev: libxfs-install-dev
 
 ifeq ($(HAVE_BUILDDEFS), yes)
 include $(BUILDRULES)
